# NOTE: despite upstream name python-caja, it's not a binding from Python to Caja,
# but from Caja to Python, allowing to write Caja extensions in Python - thus our Name.
Summary:	Python bindings for libcaja-extension library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki libcaja-extension
Name:		caja-python
Version:	1.28.0
Release:	4
License:	GPL v2+
Group:		Libraries/Python
Source0:	https://pub.mate-desktop.org/releases/1.28/python-caja-%{version}.tar.xz
# Source0-md5:	eb4514a691f31f0ace89d17cfa817fd3
URL:		https://wiki.mate-desktop.org/mate-desktop/components/python-caja/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.10
BuildRequires:	caja-devel >= 1.17.1
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-pygobject3-devel >= 3.0.0
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	caja >= 1.17.1
Requires:	python3-libs >= 1:3.6
Obsoletes:	mate-file-manager-python < 1.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python bindings for libcaja-extension library, allowing to write Caja
extensions in Python.

%description -l pl.UTF-8
Wiązania Pythona do biblioteki libcaja-extension, pozwalające na
tworzenie rozszerzeń zarządcy plików Caja w Pythonie.

%package devel
Summary:	Development files for Python Caja extensions
Summary(pl.UTF-8):	Pliki programistyczne dla pythonowych rozszerzeń zarządcy plików Caja
Group:		Development/Libraries
# doesn't require base; the only file is pkg-config specific, so let's require it
Requires:	pkgconfig
Obsoletes:	mate-file-manager-python-devel < 1.8.0

%description devel
Development files for Caja extensions written in Python.

%description devel -l pl.UTF-8
Pliki programistyczne dla rozszerzeń zarządcy plików Caja pisanych w
Pythonie.

%package apidocs
Summary:	Python Caja API documentation
Summary(pl.UTF-8):	Dokumentacja API Pythona dla rozszerzeń zarządcy plików Caja
Group:		Documentation
Obsoletes:	mate-file-manager-python-apidocs < 1.8.0
BuildArch:	noarch

%description apidocs
Python Caja API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Pythona dla rozszerzeń zarządcy plików Caja.

%package examples
Summary:	Example Python extensions for Caja file manager
Summary(pl.UTF-8):	Przykładowe pythonowe rozszerzenia dla zarządcy plików Caja
Group:		Documentation
Obsoletes:	mate-file-manager-python-examples < 1.8.0

%description examples
Example Python extensions for Caja file manager.

%description examples -l pl.UTF-8
Przykładowe rozszerzenia dla zarządcy plików Caja napisane w Pythonie.

%prep
%setup -q -n python-caja-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTMLdir=%{_gtkdocdir}/caja-python

%{__rm} $RPM_BUILD_ROOT%{_libdir}/caja/extensions-2.0/*.la

# not installed because of incomplete docs/Makefile
cp -p docs/html/* $RPM_BUILD_ROOT%{_gtkdocdir}/caja-python

# examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/python-caja/README $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/python-caja/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# directory for python plugins for caja - see src/caja-python.c or caja-python.pc
install -d $RPM_BUILD_ROOT%{_datadir}/caja-python/extensions

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{es_ES,frp,ie,jv,ku_IQ,pms}

%find_lang python-caja

%clean
rm -rf $RPM_BUILD_ROOT

%files -f python-caja.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/caja/extensions-2.0/libcaja-python.so
%{_datadir}/caja/extensions/libcaja-python.caja-extension
%dir %{_datadir}/caja-python
%dir %{_datadir}/caja-python/extensions

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/caja-python.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/caja-python

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Fri Mar 21 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/caja-python.git;a=log;h=master

* Fri Mar 21 2025 Jan Palus <atler@pld-linux.org> d8d4b09
- Release 4 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> b87304b
- Release 3 (by relup.sh)

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> f2ca329
- python 3.13 rebuild

* Mon May 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 29fef26
- updated to 1.28.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> c178cda
- Release 3 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 3e86ccb
- rebuild with python 3.10

* Sun Sep 12 2021 Jakub Bogusz <qboosh@pld-linux.org> a9149b8
- more specific URL, rpm version for noarch subpackages, versioned Obsoletes

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 02b9fe0
- up to 1.26.0

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 69409f2
- unconditional noarch subpackages

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c28764c
- release 2 (by relup.sh)

* Fri Mar 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 52974e0
- disable silent-rules

* Tue Feb 11 2020 Jan Palus <atler@pld-linux.org> f9c9cb0
- up to 1.24.0

* Mon Sep 23 2019 Jan Palus <atler@pld-linux.org> c672e77
- up to 1.22.1

* Tue Mar 19 2019 Jan Palus <atler@pld-linux.org> 22a664c
- up to 1.22.0

* Wed Dec 26 2018 Jan Palus <atler@pld-linux.org> 7052b4a
- up to 1.20.2

* Tue Jun 19 2018 Jan Palus <atler@pld-linux.org> 33ea7c5
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> b20dd21
- up to 1.20.0

* Thu Jul 27 2017 Jan Palus <atler@pld-linux.org> 112ff38
- up to 1.18.1

* Mon Mar 20 2017 Jakub Bogusz <qboosh@pld-linux.org> 136b973
- removed obsolete comment

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> b06bdf7
- up to 1.18.0

